import 'package:example/model/WidgetModel.dart';
import 'package:example/utils/constants.dart';
import 'package:flutter/material.dart';

import 'package:nb_utils/nb_utils.dart';

class DashboardScreen extends StatefulWidget {
  @override
  _DashboardScreenState createState() => _DashboardScreenState();
}

class _DashboardScreenState extends State<DashboardScreen> {
  @override
  void initState() {
    super.initState();
    init();
  }

  init() async {}

  @override
  void setState(fn) {
    if (mounted) super.setState(fn);
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text(appName, style: boldTextStyle(color: Colors.white)),
      ),
      body: Container(
        width: context.width(),
        child: SingleChildScrollView(
          child: Column(
            children: [
              16.height,
              Wrap(
                runSpacing: 16,
                spacing: 16,
                children:
                    List.generate(WidgetModel.getWidgetList().length, (index) {
                  WidgetModel data = WidgetModel.getWidgetList()[index];
                  return HoverWidget(
                    builder: (BuildContext context, bool isHovering) {
                      return Container(
                        height: 250,
                        width: context.width() / 2 - 16,
                        color: isHovering
                            ? Colors.purpleAccent.withOpacity(0.3)
                            : Colors.purpleAccent,
                        child: Text(data.name.validate(),
                                style: boldTextStyle(color: Colors.white))
                            .center(),
                      ).onTap(() {
                        if (data.subList == null) {
                          data.widget.launch(context);
                        } else {
                          log("dataaaa");
                        }
                      });
                    },
                  );
                }),
              )
            ],
          ),
        ),
      ),
    );
  }
}
