import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:nb_utils/nb_utils.dart';

class WidgetsScreen extends StatefulWidget {
  @override
  _WidgetsScreenState createState() => _WidgetsScreenState();
}

class _WidgetsScreenState extends State<WidgetsScreen> {
  @override
  void initState() {
    super.initState();
    init();
  }

  init() async {}

  @override
  void setState(fn) {
    if (mounted) super.setState(fn);
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        child: Row(
          children: [
            Container(
              margin: EdgeInsets.all(8),
              padding: EdgeInsets.all(16),
              decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(10),
                color: Colors.white,
                boxShadow: defaultBoxShadow(blurRadius: 8, spreadRadius: 8),
              ),
              height: context.width(),
              child: SingleChildScrollView(
                child: Column(
                  children: [
                    Text('Widget List', style: boldTextStyle()),
                    Divider(),
                    Column(
                      children: [
                        SettingItemWidget(
                          hoverColor: Colors.red,
                          splashColor: Colors.green,
                          onTap: () {
                            //
                          },
                          title: 'Horizontal List View',
                        ),
                      ],
                    )
                  ],
                ),
              ),
            ).expand(),
            Container(
              margin: EdgeInsets.all(8),
              padding: EdgeInsets.all(16),
              decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(10),
                color: Colors.white,
                boxShadow: defaultBoxShadow(blurRadius: 8, spreadRadius: 8),
              ),
              height: context.width(),
              child: SingleChildScrollView(
                child: Column(
                  children: [
                    Text('Preview ', style: boldTextStyle()),
                    Divider(),
                    16.height,
                    AspectRatio(
                      aspectRatio: 8.6 / 13,
                      child: Container(
                        decoration: BoxDecoration(
                            border: Border.all(
                                color: Colors.black,
                                width: 4,
                                style: BorderStyle.solid),
                            borderRadius: radius(20)),
                        child: HorizontalList(
                          itemBuilder: (BuildContext context, int index) {
                            return Container(
                              child: Text('Hello'),
                            );
                          },
                          itemCount: 25,
                        ),
                      ),
                    ),
                  ],
                ),
              ),
            ).expand(),
            Container(
              margin: EdgeInsets.all(8),
              padding: EdgeInsets.all(16),
              decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(10),
                color: Colors.white,
                boxShadow: defaultBoxShadow(blurRadius: 8, spreadRadius: 8),
              ),
              height: context.width(),
              child: SingleChildScrollView(
                child: Column(
                  children: [
                    Text('Properties', style: boldTextStyle()),
                    Divider(),
                    16.height,
                    Container(
                      child: Column(
                        children: [
                          UL(
                            children: [
                              RichTextWidget(
                                list: [
                                  TextSpan(
                                    text: 'itemCount',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: ': ',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: 'itemBuilder',
                                    style: primaryTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                ],
                              ),
                              RichTextWidget(
                                list: [
                                  TextSpan(
                                    text: 'itemBuilder',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: ': ',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: 'itemBuilder',
                                    style: primaryTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                ],
                              ),
                              RichTextWidget(
                                list: [
                                  TextSpan(
                                    text: 'spacing',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: ': ',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: 'itemBuilder',
                                    style: primaryTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                ],
                              ),
                              RichTextWidget(
                                list: [
                                  TextSpan(
                                    text: 'runSpacing',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: ': ',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: 'itemBuilder',
                                    style: primaryTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                ],
                              ),
                              RichTextWidget(
                                list: [
                                  TextSpan(
                                    text: 'padding',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: ': ',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: 'itemBuilder',
                                    style: primaryTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                ],
                              ),
                              RichTextWidget(
                                list: [
                                  TextSpan(
                                    text: 'physics',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: ': ',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: 'itemBuilder',
                                    style: primaryTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                ],
                              ),
                              RichTextWidget(
                                list: [
                                  TextSpan(
                                    text: 'controller',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: ': ',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: 'itemBuilder',
                                    style: primaryTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                ],
                              ),
                              RichTextWidget(
                                list: [
                                  TextSpan(
                                    text: 'reverse',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: ': ',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: 'itemBuilder',
                                    style: primaryTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                ],
                              ),
                              RichTextWidget(
                                list: [
                                  TextSpan(
                                    text: 'wrapAlignment',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: ': ',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: 'itemBuilder',
                                    style: primaryTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                ],
                              ),
                              RichTextWidget(
                                list: [
                                  TextSpan(
                                    text: 'crossAxisAlignment',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: ': ',
                                    style: boldTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                  TextSpan(
                                    text: 'itemBuilder',
                                    style: primaryTextStyle(
                                        color: CupertinoColors.black),
                                  ),
                                ],
                              ),
                            ],
                          )
                        ],
                      ),
                    ),
                  ],
                ),
              ),
            ).expand(),
          ],
        ),
      ),
    );
  }
}
